/*
  @description: 系统设置->平台运营费率
  @Modifier: 苏志刚
  @routerPath:
  @date: 2020-9-7-11:23
*/
// 接口
import { queryFeeRateInitInfo } from '@/api/procurement/procurementOperatingExpenses'
export const operatingRateMixin = {
  data() {
    return {
      transmitList: [
        { typename: '是', typecode: '00' },
        { typename: '否', typecode: '01' }
      ]
    }
  },
  methods: {
    getQueryFeeRateInitInfo() {
      queryFeeRateInitInfo({}).then(response => {
        for (const key in response.data) {
          this[key + 'List'] = response.data[key].typeList
        }
      })
    }
  }
}
